fop 1.1

## org.apache.fop.util.bitmap
Interface MonochromeBitmapConverter

All Known Implementing Classes:
  DefaultMonochromeBitmapConverter, JAIMonochromeBitmapConverter

    public interface MonochromeBitmapConverter

Interface for converters that convert images to monochrome (1-bit, bi-level) bitmap images.

Method Summary
`java.awt.image.RenderedImage` `convertToMonochrome(java.awt.image.BufferedImage img)` Converts a bitmap image to a monochrome (1-bit) b/w bitmap image.
`void` `setHint(java.lang.String name, java.lang.String value)` Sets a hint to the implementation

Method Detail

### setHint

    void setHint(java.lang.String name,
                 java.lang.String value)

  Sets a hint to the implementation

  Parameters:
    `name` - the name of the hint
    `value` - the value

### convertToMonochrome

    java.awt.image.RenderedImage convertToMonochrome(java.awt.image.BufferedImage img)

  Converts a bitmap image to a monochrome (1-bit) b/w bitmap image.

  Parameters:
    `img` - the original image
  Returns:
    the converted monochrome image

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.